using System;
using System.Collections;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Runtime.Serialization;

namespace golestan
{
    class dars
    {
        int a;
        string name;
        string noa;
        int vahed;
        int[] x = new int[2];
        public dars(int a, string s,string s1, int vahed, int[] x)
        {
            this.a = a;
            if (s.Length > 20)
            {
                name = s.Remove(20);
            }
            else if (s.Length < 20)
            {
                name = s + new string(' ', 20 - s.Length);
            }
            else
                name = s;
            if (s1.Length > 20)
            {
                name = s1.Remove(20);
            }
            else if (s1.Length < 20)
            {
                name = s1 + new string(' ', 20 - s1.Length);
            }
            else
                name = s1;
            this.vahed = vahed;
            this.x = x;
        }
        public int this[int i]
        {
            get
            {
                return x[i];
            }
            set
            {
                x[i] = value;
            }
        }
        public int VAHED
        {
            get
            {
                return vahed;
            }
            set
            {
                vahed = value;
            }
        }
        public int A
        {
            get
            {
                return a;
            }
            set
            {
                a = value;
            }
        }
        public string NAME
        {
            get
            {
                return name;
            }
            set
            {
                if (value.Length > 20)
                {
                    name = value.Remove(20);
                }
                else if (value.Length < 20)
                {
                    name = value + new string(' ', 20 - value.Length);
                }
                else
                    name = value;
            }
        }
        public string NOA
        {
            get
            {
                return noa;
            }
            set
            {
                if (value.Length > 20)
                {
                    noa= value.Remove(20);
                }
                else if (value.Length < 20)
                {
                    noa = value + new string(' ', 20 - value.Length);
                }
                else
                    noa = value;
            }
        }



    }
}
